Xfce Forum

Sub domains
 

You are not logged in.

#1 2018-06-11 22:43:15

jserink
Member
Registered: 2010-04-25
Posts: 30

Xfdesktop update?

Hi guys:

I have been dying to tryout the newish thunars 1.70. 1.71 and now 1.8 but they depends on xfdesktop 13.2...which doesn't exist yet.

Any idea when a new xfdesktop will be released?

Cheers,
John

Offline

#2 2018-06-11 23:22:49

ToZ
Moderator
From: Canada
Registered: 2011-06-02
Posts: 4,372

Re: Xfdesktop update?

Do you mean libxfce4ui-2? See https://mail.xfce.org/pipermail/xfce4-d … 32124.html.

tl;dr:
It is currently out of sync in the dev tree - to be fixed soon.


How To Ask For Help           Xfce FAQ                            Xfce Release Information
The Xfce Community          Xfce Tips and Tricks

Offline

#3 2018-06-11 23:29:51

alcornoqui
Member
Registered: 2014-07-28
Posts: 258

Re: Xfdesktop update?

Are you sure of that Dependency? I can't find a reference in the Thunar git repo: https://github.com/xfce-mirror/thunar/b … 90407/NEWS

It isn't listed in the README either:

Required packages
=================

Thunar depends on the following packages:

- perl 5.6 or above
- GTK+ 3.20.0 or above
- GLib 2.30.0 or above
- exo 0.10.0 or above
- intltool 0.30 or above

Thunar can optionally use the following packages:

- D-Bus 0.34 or above (strongly suggested)
- libstartup-notification 0.4 or above
- xfce4-panel 4.10.0 or above (for the trash applet)
- xfconf-query

In my Xubuntu install (caveat: I'm on Thunar 1.6.11):

$ apt-cache depends thunar
thunar
  Depends: libatk1.0-0
  Depends: libc6
  Depends: libcairo2
  Depends: libdbus-1-3
  Depends: libdbus-glib-1-2
  Depends: libexo-1-0
  Depends: libgdk-pixbuf2.0-0
  Depends: libglib2.0-0
  Depends: libgtk2.0-0
  Depends: libgudev-1.0-0
  Depends: libice6
  Depends: libnotify4
  Depends: libpango-1.0-0
  Depends: libsm6
  Depends: libthunarx-2-0
  Depends: libxfce4ui-1-0
  Depends: libxfce4util7
  Depends: libxfconf-0-2
  Depends: thunar-data
  Depends: desktop-file-utils
  Depends: shared-mime-info
  Depends: exo-utils
  Breaks: thunar-data
  Recommends: dbus-x11
  Recommends: xfce4-panel
  Recommends: xfce4-panel
  Recommends: thunar-volman
  Recommends: tumbler
  Recommends: xdg-user-dirs
  Recommends: gvfs
  Suggests: thunar-archive-plugin
  Suggests: thunar-media-tags-plugin
  Replaces: thunar-data

On preview, thanks ToZ

Offline

#4 2018-06-12 12:47:29

jserink
Member
Registered: 2010-04-25
Posts: 30

Re: Xfdesktop update?

Thunar 1.7.0, 1.7.1 and 1.8.0 are hard masked on gentoo with the following message:
Testing branch GTK+3 release. Changes API, breaks xfce-base/xfdesktop. Masked until the latter sees a new release.
Affected packages >=dev-python/thunarx-python-0.4.0, >=xfce-base/thunar-1.7, >=xfce-extra/thunar-archive-plugin-0.4.0, >=xfce-extra/thunar-media-tags-plugin-0.3.0, >=xfce-extra/thunar-shares-plugin-0.3.0, >=xfce-extra/thunar-vcs-plugin-0.1.90

This matches what is discussed here in the compatibility matrix:
https://wiki.xfce.org/releng/4.14/roadm … ity_matrix

Namely the thunar>1.7.0 requires xfdesktop-13.2 which doesn't yet exist....

Which is why i've asked.

I'm currently using thunar 1.6.15 and 'most' of the crashing is gone. Not all but most.

Have been eyeing 1.7x for months but this xfdesktop issue is the holdup.

Cheers,
John

Offline

#5 2018-06-12 22:29:57

alcornoqui
Member
Registered: 2014-07-28
Posts: 258

Re: Xfdesktop update?

Sorry, can't answer; thanks for the link though.

Offline

#6 2018-06-12 23:33:30

ToZ
Moderator
From: Canada
Registered: 2011-06-02
Posts: 4,372

Re: Xfdesktop update?

It will still work with xfdesktop 4.12, you just won't have the thunarx extensions (e.g. Extract to, custom actions, etc) on the desktop until xfdesktop is upgraded to the forthcoming release.

In fact, Arch has thunar 1.8.0 in the repositories with xfdesktop 4.12.


How To Ask For Help           Xfce FAQ                            Xfce Release Information
The Xfce Community          Xfce Tips and Tricks

Offline

#7 2018-06-15 07:43:35

jserink
Member
Registered: 2010-04-25
Posts: 30

Re: Xfdesktop update?

Am using the 4.13 bits so downgrading the 4.12 is not an option as i'd have to rebuild most of my desktop and i'd lose the gtk3 stuff.

I'll wait for the 13.2 release of xfdesktop.

Cheers,
John

Offline

#8 2018-06-17 09:54:15

ToZ
Moderator
From: Canada
Registered: 2011-06-02
Posts: 4,372

Re: Xfdesktop update?

jserink wrote:

I'll wait for the 13.2 release of xfdesktop.

It was released yesterday.


How To Ask For Help           Xfce FAQ                            Xfce Release Information
The Xfce Community          Xfce Tips and Tricks

Offline

Board footer

Powered by FluxBB